plugins {
    application
}

dependencies {
    implementation(project(":wizard-common"))

    implementation(JLine.id)
    implementation(Jansi.id)
    implementation(JavaWebSocket.id)
    implementation("org.ajbrown:name-machine:1.0.0")

    implementation(PicoCLI.core)
    implementation(PicoCLI.shell_jline3) {
        exclude(group = JLine.group) // prevent duplicates with org.jline:jline
    }
    annotationProcessor(PicoCLI.codegen)
}

application {
    mainClass.set("eu.jonahbauer.wizard.client.cli.Client")
}